MINTPY-TROPO_PHASE_ELEVATION(1)

NAME
mintpy-tropo_phase_elevation - Correct Topo-correlated Stratified tropospheric delay

DESCRIPTION
usage: tropo_phase_elevation.py [-h] -g GEOM_FILE -m MASK_FILE [-t THRESHOLD]

[-l NUM_MULTILOOK] [--poly-order {1,2,3}]
    [-o OUTFILE] timeseries_file

Correct Topo-correlated Stratified tropospheric delay

  positional arguments:

timeseries_file
    time-series file to be corrected

  options:

-h, --help
    show this help message and exit

-g GEOM_FILE, --geometry GEOM_FILE
    DEM file used for correlation calculation.

-m MASK_FILE, --mask MASK_FILE
    mask file for pixels used for correlation calculation

-t THRESHOLD, --threshold THRESHOLD
    correlation threshold to apply phase correction. if not set, all dates will be corrected.

-l NUM_MULTILOOK, --looks NUM_MULTILOOK
    number of looks applied to data for empirical estimation (default: 8).

--poly-order {1,2,3}, -p {1,2,3}
    polynomial order of phase-height correlation (default: 1).

-o OUTFILE, --outfile OUTFILE
    output corrected timeseries file name

  reference:

    Doin, M. P., C. Lasserre, G. Peltzer, O. Cavalie, and C. Doubre (2009), Corrections of stratified tropospheric delays in SAR interferometry: Validation with global atmospheric models, J App. Geophy., 69(1), 35-50, doi:http://dx.doi.org/10.1016/j.jappgeo.2009.03.010.

  example:

tropo_phase_elevation.py
    timeseries_demErr.h5 -g inputs/geometryRadar.h5 -m maskTempCoh.h5

tropo_phase_elevation.py
    geo_timeseries_demErr.h5 -g geo_geometryRadar.h5 -m geo_maskTempCoh.h5